Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| org.openide.util 6.8.22
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.openide.util.io
Class FoldingIOException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.io.IOException
                  org.openide.util.io.FoldingIOException

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  SafeException

Deprecated. Better to create a new `IOException` and `ErrorManager`'s annotate with the throwable.

    public class FoldingIOException

extends IOException

Encapsulates an exception.

See Also:
  Serialized Form

Constructor Summary
`FoldingIOException(Throwable t)` Deprecated.

Method Summary
`String` | `getLocalizedMessage()` Deprecated.
`void` | `printStackTrace()` Deprecated. Prints stack trace of the foreign exception
`void` | `printStackTrace(PrintStream s)` Deprecated. Prints stack trace of the foreign exception
`void` | `printStackTrace(PrintWriter s)` Deprecated. Prints stack trace of the foreign exception
`String` | `toString()` Deprecated.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getMessage, getStackTrace, initCause, setStackTrace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### FoldingIOException

    public FoldingIOException(Throwable t)

  Deprecated.
  Parameters:
    `t` - a foreign folded Throwable

Method Detail

### printStackTrace

    public void printStackTrace()

  Deprecated.
  Prints stack trace of the foreign exception

  Overrides:
    `printStackTrace` in class `Throwable`

### printStackTrace

    public void printStackTrace(PrintStream s)

  Deprecated.
  Prints stack trace of the foreign exception

  Overrides:
    `printStackTrace` in class `Throwable`

### printStackTrace

    public void printStackTrace(PrintWriter s)

  Deprecated.
  Prints stack trace of the foreign exception

  Overrides:
    `printStackTrace` in class `Throwable`

### toString

    public String toString()

  Deprecated.
  Overrides:
    `toString` in class `Throwable`
  Returns:
    toString of the foreign exception

### getLocalizedMessage

    public String getLocalizedMessage()

  Deprecated.
  Overrides:
    `getLocalizedMessage` in class `Throwable`
  Returns:
    getLocalizedMessage of the foreign exception

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| org.openide.util 6.8.22
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Built on December 7 2006. | Portions Copyright 1997-2005 Sun Microsystems, Inc. All rights reserved.